<template>
  <div id="app" @click="hideNav">
    <Header ref="childheader" ></Header>
    <router-view/>
    <Foot></Foot>
  </div>
</template>
<script>
  import Header from '@/components/Header.vue'
  import Foot from '@/components/Foot.vue'
  export default {
    name: 'app',
    components: {
      Header,
      Foot,
    },
    data() {
      return {
      }
    },
    mounted() {
    },
    created() {
    },
    methods: {
      hideNav() {
        this.$refs.childheader.hideNav()
      }
    }
  }
</script>
<style lang="less">
#app {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #fff;
  width: 100%;
}
#nav {
  padding: 30px;
  a {
    font-weight: bold;
    color: #2c3e50;
    &.router-link-exact-active {
      color: #42b983;
    }
  }
}
</style>
